using BS.Shared;
using System;

namespace BeWo.Data.Entities
{
    public class Signature : BeWoEntityBase
    {

        public static string PropertyName_Latitute = "Latitute";

        public static string PropertyName_Longitute = "Longitute";

        public static string PropertyName_Zeitstempel = "Zeitstempel";

        private string _DataBild;

        private DateTime _Zeitstempel;

        private string _Latitute;

        private string _Longitute;

        private long? _ServiceRecordOid;


        public virtual string DataBild
        {
            get
            {
                return this._DataBild;
            }

            set
            {
                if (this.AreDifferent(this._DataBild, value))
                {
                    this._DataBild = value;
                }
            }
        }

        public virtual DateTime Zeitstempel
        {
            get
            {
                return this._Zeitstempel;
            }

            set
            {
                if (this.AreDifferent(this._Zeitstempel, value))
                {
                    this._Zeitstempel = value;
                }
            }
        }



        public virtual string Latitute
        {
            get
            {
                return this._Latitute;
            }

            set
            {
                if (this.AreDifferent(this._Latitute, value))
                {
                    this._Latitute = value;
                }
            }
        }

        public virtual string Longitute
        {
            get
            {
                return this._Longitute;
            }

            set
            {
                if (this.AreDifferent(this._Longitute, value))
                {
                    this._Longitute = value;
                }
            }
        }

        public virtual long? ServiceRecordOid
        {
            get
            {
                return this._ServiceRecordOid;
            }

            set
            {
                if (this.AreDifferent(this._ServiceRecordOid, value))
                {
                    this._ServiceRecordOid = value;
                }
            }
        }

    }
}